#QT += Network
#QT += gui declarative network
QT += gui network serialport
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
#CONFIG += console

HEADERS += \
    Sources/Chalet/ChaletLoraDevice.h \
    Sources/Chalet/LoraDevice.h \
    Sources/MasterCtrl.h \
    Sources/GlobalDefine.h \
    Sources/485NetworkCommIF.h \
    Sources/EthernetNetworkCommIF.h \
    Sources/232NetworkCommIF.h \
    Sources/NetworkProtocol.h \
    Sources/VoipSMS/VoipMsSMSClient.h \
    Sources/Gui/SystemTrayManager.h \
    Sources/Gui/SettingsWindow.h \
    Sources/ProgramSettings.h \
    Sources/Gui/AppIconWidget.h \
    Sources/ProtocolDefs.h \
    Sources/EthernetNetworkServer.h \
    Sources/NetworkDevicesMgr.h \
    Sources/NetworkDevice.h \
    Sources/AbstractNetworkInterface.h \
    Sources/VoipSMS/SMSMessage.h \
    Sources/Gui/CContactsWindow.h \
    Sources/Contact.h \
    Sources/ContactRepository.h \
    Sources/Sprinkler/SprinklerDevice.h \
    Sources/VoipSMS/SMSDevice.h \
    Sources/Deadbolt/DeadboltDevice.h \
    Sources/AvReceiver/AVReceiverDevice.h \
    Sources/Sprinkler/SprinklerInterface.h \
    Sources/Sprinkler/SprinklerMgr.h \
    Sources/AvReceiver/AvReceiverInterface.h \
    Sources/AvReceiver/AvReceiverData.h

SOURCES += \
    Sources/Chalet/ChaletLoraDevice.cpp \
    Sources/Chalet/LoraDevice.cpp \
    Sources/main.cpp \
    Sources/MasterCtrl.cpp \
    Sources/485NetworkCommIF.cpp \
    Sources/232NetworkCommIF.cpp \
    Sources/EthernetNetworkCommIF.cpp \
    Sources/NetworkProtocol.cpp \
    Sources/VoipSMS/VoipMsSMSClient.cpp \
    Sources/Gui/SystemTrayManager.cpp \
    Sources/Gui/SettingsWindow.cpp \
    Sources/ProgramSettings.cpp \
    Sources/Gui/AppIconWidget.cpp \
    Sources/EthernetNetworkServer.cpp \
    Sources/NetworkDevicesMgr.cpp \
    Sources/NetworkDevice.cpp \
    Sources/VoipSMS/SMSMessage.cpp \
    Sources/Gui/CContactsWindow.cpp \
    Sources/Contact.cpp \
    Sources/ContactRepository.cpp \
    Sources/Sprinkler/SprinklerDevice.cpp \
    Sources/VoipSMS/SMSDevice.cpp \
    Sources/Deadbolt/DeadboltDevice.cpp \
    Sources/AvReceiver/AVReceiverDevice.cpp \
    Sources/Sprinkler/SprinklerInterface.cpp \
    Sources/Sprinkler/SprinklerMgr.cpp \
    Sources/AvReceiver/AvReceiverInterface.cpp \
    Sources/AvReceiver/AvReceiverData.cpp

DEFINES -= Q_OS_UNIX

#win32:SOURCES += $$PWD/Source/qextserialport/win_qextserialport.cpp \
#                 $$PWD/Source/qextserialport/qextserialenumerator_win.cpp
#win32:DEFINES += _TTY_WIN_  WINVER=0x0501

INCLUDEPATH += $$PWD/ \
               $$PWD/Sources/ \
               $$PWD/Sources/qextserialport/ \
               $$PWD/Sources/VoipSMS/ \
               $$PWD/Sources/Gui/ \
               $$PWD/Sources/Deadbolt \
               $$PWD/Sources/Sprinkler \
               $$PWD/Sources/AvReceiver \
               $$PWD/Sources/Chalet \

FORMS +=

DISTFILES +=
